<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta http-equiv="X-UA-Compatible" content="ie=edge">
    <link rel="stylesheet" href="./style.css">
    <script src="https://js.pusher.com/5.0/pusher.min.js"></script>
    <title>Chat App</title>
</head>

<body>
    <h1>Chat App</h1>
    <div class="container">
        <div class="channels">
            <p>Channels</p>
            <ul id="channels"></ul>
            <form>
                <input placeholder="Add new channel" type="text" name="message" id="user_input">
                <input type="submit" value="ADD" onclick="addNewChannel()">
            </form>
        </div>
        <div class="messages" , id="messages">
            <p id="channel-name">No channel Selected</p>
            <input type="text" placeholder="enter the username" name="message" id="user_name">
            <button type="submit" id="set-user-name" onclick="setUserName()">set user</button>
            <p id="selected-username">No user selected</p>
            <div class="previous-messages" , id="Channel-messages"></div>
            <form>
                <textarea class="box" placeholder="Enter a message here" name="message" id="text"></textarea>
                <button class="send" type="submit" id="form-submit" onclick="sendMessage()">send</button>
            </form>
        </div>
    </div>
    <script src="./main.js"></script>
</body>

</html>